#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define module	configshell
Summary:	ConfigShell - Python 2 library for building configuration shells
Summary(pl.UTF-8):	ConfigShell - biblioteka Pythona 2 do tworzenia powłok konfiguracyjnych
Name:		python-configshell-fb
Version:	1.1.fb25
Release:	9
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://github.com/open-iscsi/configshell-fb/releases
Source0:	https://github.com/open-iscsi/configshell-fb/archive/v%{version}/configshell-fb-%{version}.tar.gz
# Source0-md5:	e4d5394815712f661c04917a429f3e06
URL:		https://github.com/open-iscsi/configshell-fb
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
%if %{with python2}
BuildRequires:	python-modules >= 1:2.4
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules >= 1:2.4
Requires:	python-pyparsing
Requires:	python-urwid
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
configshell-fb is a Python library that provides a framework for
building simple but nice CLI-based applications.

%description -l pl.UTF-8
configshell-fb to biblioteka Pythona udostępniająca szkielet do
tworzenia prostych, ale ładnych aplikacji opartych na linii poleceń.

%package -n python3-configshell-fb
Summary:	ConfigShell - Python 3 library for building configuration shells
Summary(pl.UTF-8):	ConfigShell - biblioteka Pythona 3 do tworzenia powłok konfiguracyjnych
Group:		Libraries/Python
Requires:	python3-modules
Requires:	python3-pyparsing
Requires:	python3-urwid

%description -n python3-configshell-fb
configshell-fb is a Python library that provides a framework for
building simple but nice CLI-based applications.

%description -n python3-configshell-fb -l pl.UTF-8
configshell-fb to biblioteka Pythona udostępniająca szkielet do
tworzenia prostych, ale ładnych aplikacji opartych na linii poleceń.

%prep
%setup -q -n configshell-fb-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%if %{with python2}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{__sed} -i -e '1s,/usr/bin/env python,%{__python},' $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/myshell
%endif
%if %{with python3}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-configshell-fb-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/python3-configshell-fb-%{version}
%{__sed} -i -e '1s,/usr/bin/env python,%{__python3},' $RPM_BUILD_ROOT%{_examplesdir}/python3-configshell-fb-%{version}/myshell
sed -i '1s|^#!.*python\b|#!%{__python3}|' $RPM_BUILD_ROOT%{_examplesdir}/python3-configshell-fb-%{version}/*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.md
%{py_sitescriptdir}/configshell
%{py_sitescriptdir}/configshell_fb
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/configshell_fb-*-py*.egg-info
%endif
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/myshell
%endif

%if %{with python3}
%files -n python3-configshell-fb
%defattr(644,root,root,755)
%doc README.md
%{py3_sitescriptdir}/configshell
%{py3_sitescriptdir}/configshell_fb
%{py3_sitescriptdir}/configshell_fb-*-py*.egg-info
%dir %{_examplesdir}/python3-configshell-fb-%{version}
%attr(755,root,root) %{_examplesdir}/python3-configshell-fb-%{version}/myshell
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-configshell-fb.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 7f66855
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 59af26f
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> b034303
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 17f08b9
- Release 6 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> acc6e9c
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> a62b654
- rebuild with python 3.10

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> b44e7e0
- fix shebang in example; rel 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 3b172c8
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Feb 05 2019 Adam Gołębiowski <adamg@pld-linux.org> ca8180a
- updated to 1.1.fb25

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d5190f6
- python 3.7 rebuild
- release 2 (by relup.sh)

* Thu Dec 29 2016 Jakub Bogusz <qboosh@pld-linux.org> c247c50
- updated to 1.1.fb21

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a54eb0
- python 3.6
- release 5 (by relup.sh)

* Wed Dec 28 2016 Jakub Bogusz <qboosh@pld-linux.org> fa9c33d
- pl, bcond fixes

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 9e3fb9a
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8b1f2e9
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 76d2cac
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d5549b1
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 78fe2ec
- python 3.5 rebuild
- release 2 (by relup.sh)

* Sat Dec 13 2014 Jan Rękorajski <baggins@pld-linux.org> b749bdd
- up to 1.1.fb15

* Sat Jan 04 2014 Jacek Konieczny <jajcus@jajcus.net> a69258d
- removing template spec leftover

